Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 03 Sep 2021 03:46:47 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Really disappointed. As I got a mistake piece and ur retail store won't accept it . And u gave ME credit  
Its really not fare https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3047920